org.jgroups.stack

## Interface Interval

- All Known Implementing Classes:
    ExponentialInterval, StaticInterval

      public interface Interval

  Interface which returns a time series, one value at a time calling next()
  Author:
    Bela Ban

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Interval` | `copy()` Returns a copy of the state.
    `long` | `next()`

- - ### Method Detail

    - #### next

          long next()

      Returns:
        the next interval

    - #### copy

          Interval copy()

      Returns a copy of the state. If there is no state, this method may return a ref to itself

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.